import { LOGIN } from './base.api.js'
import apiHelper from './api.helper.js'

/**
 * 登录服务
 * @param name 账户名
 * @param password 账户密码
 * @param captcha 验证码
 * @returns {Promise<AxiosResponse<T>>}
 */
export async function login(params) {
  const { status, data } = await apiHelper.get(LOGIN, params, false)
  return data
}

export default { login }
